<!DOCTYPE html>
<html>
    
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link rel="stylesheet" type="text/css" href="css/style.css" />
	<link rel="icon" href="images/favicon.jpg">
	<title>Project no. 16</title>
</head>

<body>
	<script id="genres-template" type="x-tmpl-mustache">
		{{#genres}}
			<li class="link"><a href="#!{{.}}">{{.}}</a></li>
		{{/genres}}
	</script>
	<script id="movies-template" type="x-tmpl-mustache">
		{{#movies}}
			<div id="test{{id}}" class="movie" style="display:none">
				<input class="button" id="no{{id}}" type="button" value="{{id}}"><br>
				<img class="image" id="nu{{id}}" src="{{posterUrl}}" alt="poster">
				<h3 class="titles">{{title}}</h3>				
			</div>			
		{{/movies}}
	</script>
	<script id="movie-details" type="x-tmpl-mustache">
		{{#movies}}			
				<input class="btn" id="close" type="button" value="close">
				<p class="par"><span class="info">Database ID: </span> {{id}}</p>
				<p class="par"><span class="info">Title: </span> {{title}}</p>
				<p class="par"><span class="info">Year: </span> {{year}}</p>
				<p class="par"><span class="info">Runtime: </span> {{runtime}}</p>
				<p class="par"><span class="info">Genre: </span> {{genres}}</p>
				<p class="par"><span class="info">Director: </span> {{director}}</p>
				<p class="par"><span class="info">Actors: </span> {{actors}}</p>
				<p class="par"><span class="info">Plot: </span> {{plot}}</p>
				<img class="image2" src="{{posterUrl}}" alt="poster">			
		{{/movies}}
	</script>
    <div class="container">
        <div class="header">
            <h1>Twilight<span class="off">Blue</span></h1>
            <!-- <h2>My template</h2> -->
        </div>

        <div class="menu">
            <ul>
                <li class="menuitem"><a href="index.html">Home</a></li>
                <li class="menuitem"><a href="#">About</a></li>
                <li class="menuitem"><a href="#">Products</a></li>
                <li class="menuitem"><a href="#">Services</a></li>
                <li class="menuitem"><a href="#">Design</a></li>
              <li class="menuitem"><a href="#">Contact</a></li>
            </ul>
        </div>

        <div class="leftmenu">
            <div class="leftmenu_top"></div>
            <div class="leftmenu_main">
				<h3>Genres</h3>
				<ul id="genres"></ul>
            </div>            
            <div class="leftmenu_bottom"></div>
        </div>
        <div class="content">
			<div class="content_top"></div>
			<div class="content_main" id="movies">
				<h1 class="maintitle" id="maintitle"></h1>
			</div>
			<div id="window" class="window"></div>
            <div class="content_bottom"></div>
            <div class="footer"><h3><a href="#">some copyright</a></h3></div>
        </div>
	</div>
	<script src="https://unpkg.com/axios/dist/axios.min.js"></script>
	<script src="https://unpkg.com/mustache@2.3.0/mustache.min.js"></script>
	<script src="https://unpkg.com/jquery@3.3.1/dist/jquery.min.js"></script>	
	<script src="js/script.js"></script>
	<script>
		App.start();
	</script>
</body>
    
</html>
